unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Image2: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Shape1: TShape;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
Var
   Meta : TMetaFile;
   MetaCan : TMetaFileCanvas;
   Ctr : Integer;

begin
Meta := TMetaFile.Create;
Meta.SetSize(377,377);
MetaCan := TMetaFileCanvas.Create(Meta,0);
With (MetaCan)
Do Begin
   FillRect(Rect(0,0,377,377));
   Brush.Style := bsClear;
   //Draw using API
   Pen.Style := psDash;
   MoveTo(0,100);
   LineTo(377,100);
   TextOut(100,85,'Line using MoveTo & LineTo (API)');

   //Draw using simulation of the API
   Pen.Style := psSolid;
   MoveTo(0,200);
   For Ctr := 0 To 15
   Do Begin
      MoveTo(Ctr*24,200);
      LineTo(Ctr*24+18,200);
      End;
   TextOut(6,185,'Line made of MoveTo & LineTo to simulation the effect of LineStyle = psDash');
   End;
MetaCan.Free;
Image2.Picture.Assign(Meta);
Image1.Canvas.StretchDraw(Rect(0,0,Image1.Width,Image1.Height),Meta);
Meta.Free;
end;

end.
